# $Revision: 1.47.2.1 $, $Date: 2007/03/04 15:12:41 $
# TODO:
# - move php files to webapps framework
#
%define		_name		eaccelerator
%define		_pkgname	eaccelerator
Summary:	eAccelerator module for PHP
Summary(pl):	Modu eAccelerator dla PHP
Name:		php-%{_name}
Version:	0.9.5
Release:	7
Epoch:		0
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/eaccelerator/%{_pkgname}-%{version}.tar.bz2
# Source0-md5:	dad54af67488b83a2af6e30f661f613b
Source1:	%{_name}.ini
Patch0:		%{name}-php5.2.patch
URL:		http://eaccelerator.net/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%requires_eq	php-common
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Requires:	php(zlib)
Conflicts:	php-mmcache
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
eAccelerator is a further development from mmcache PHP Accelerator &
Encoder. It increases performance of PHP scripts by caching them in
compiled state, so that the overhead of compiling is almost completely
eliminated.

%description -l pl
eAccelerator to dalsze stadium rozwoju akceleratora i kodera PHP
mmcache. Zwiksza wydajno skryptw PHP poprzez zapamitywanie ich w
postaci skompilowanej, dziki czemu narzut potrzebny na kompilacj
jest prawie cakowicie wyeliminowany.

%package webinterface
Summary:	WEB interface for PHP Accelerator
Summary(pl):	Interfejs WWW dla PHP Acceleratora
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description webinterface
PHP Accelerator can be managed through web interface script
eaccelerator.php. So you need to put this file on your web site. For
security reasons it is recommended to restrict the usage of this
script by your local IP and setup password based access.

More information you can find at %{url}.

%description webinterface -l pl
PHP Accelerator moe by sterowany ze strony internetowej z
wykorzystaniem skryptu eaccelerator.php. Jedyne co trzeba zrobi, to
umieci plik we waciwym miejscu na stronie internetowej. Z powodw
bezpieczestwa zalecane jest, aby ograniczy korzystanie ze skryptu do
lokalnego adresu i ustawi autoryzacj hasem.

Wicej informacji mona znale pod %{url}.

%prep
%setup -q -n %{_pkgname}-%{version}
%patch0 -p1

%build
phpize
%configure \
	--enable-eaccelerator=shared \
	--with-eaccelerator-shared-memory \
	--with-eaccelerator-sessions \
	--with-eaccelerator-content-caching \
	--with-eaccelerator-userid=http \
	--with-php-config=%{_bindir}/php-config
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_extensiondir},%{_bindir},%{php_sysconfdir}/conf.d,/var/cache/%{_name},/etc/tmpwatch}

install ./modules/eaccelerator.so $RPM_BUILD_ROOT%{php_extensiondir}
install ./encoder.php $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_name}.ini

install -d $RPM_BUILD_ROOT/home/services/httpd/html/eaccelerator
cp -a doc/php/* $RPM_BUILD_ROOT/home/services/httpd/html/eaccelerator

echo "/var/cache/%{_name} 720" > $RPM_BUILD_ROOT/etc/tmpwatch/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%preun
if [ "$1" = 0 ]; then
	# remove last pieces of cache
	rm -rf /var/cache/%{_name}/*
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_name}.ini
%config(noreplace) %verify(not md5 mtime size) /etc/tmpwatch/%{name}.conf
%attr(755,root,root) %{php_extensiondir}/eaccelerator.so
%attr(755,root,root) %{_bindir}/encoder.php
%attr(770,root,http) /var/cache/%{_name}

%files webinterface
%defattr(644,root,root,755)
/home/services/httpd/html/eaccelerator

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-eaccelerator.spec,v $
Revision 1.47.2.1  2007/03/04 15:12:41  glen
- rel 7: PHP 5.2.1

Revision 1.47  2007/01/16 22:07:11  glen
- use new php extension macros

Revision 1.46  2006/12/20 09:35:32  arekm
rel 5; php 5.2 fixes

Revision 1.45  2006/12/13 22:07:27  glen
- rel 4 (php 5.2.0)

Revision 1.44  2006/11/26 12:39:23  glen
- virtual deps; rel 3

Revision 1.43  2006/11/19 17:46:09  glen
- rel 2

Revision 1.42  2006/11/18 16:29:39  arekm
- up to 0.9.5

Revision 1.41  2006/11/10 13:38:05  baggins
- rel 1, works

Revision 1.40  2006/11/09 18:47:50  baggins
- drop _rc from build dir

Revision 1.39  2006/11/09 18:47:07  baggins
- rel 0.1
- up to 0.9.5 final

Revision 1.38  2006/11/09 18:45:43  baggins
- rel 5
- turn shm stuff on (was it useful without it?)

Revision 1.37  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.36  2006/09/05 11:53:22  adamg
- release 4; rebuild against php-5.1.6

Revision 1.35  2006/08/24 09:36:52  domelu
- proper cache rmdir
- rel 3

Revision 1.34  2006/08/19 09:58:36  adamg
- release 2 (rebuild against php-5.1.5)

Revision 1.33  2006/08/08 11:52:56  blues
- rel.1 - works, added tmpwatch file

Revision 1.32  2006/08/08 11:46:39  blues
- 0.9.5rc1 - STBR to AC, it brings full php5.1 support

Revision 1.31  2006/08/06 22:40:32  adamg
- force strict Requires - eaccelerator needs to be rebuilt after each version bump

Revision 1.30  2006/06/13 10:43:24  arekm
- beta2

Revision 1.29  2006/05/24 08:44:48  glen
- specify eaccelerator-userid for ppc,alpha,sparc; rel 3

Revision 1.28  2006/05/24 07:53:26  glen
- rel 2: rebuild without superfluous php-common dep

Revision 1.27  2006/03/07 11:55:29  dzeus
- up to 0.9.5-beta1 (works fine with PHP5.1) STBR

Revision 1.26  2006/01/19 20:47:57  arekm
- rel .2; rebuild with php 5.1.2

Revision 1.25  2006/01/06 17:09:24  adamg
- updated to 0.9.4-rc1
- apply -php51.patch (no longer segfaults on php5.1)

Revision 1.24  2005/12/24 15:42:47  adamg
- fix build on php 5.1 (needs testing)

Revision 1.23  2005/12/24 15:39:23  glen
- rel 3 (rebuild with new php)

Revision 1.22  2005/09/16 23:15:28  glen
- unified

Revision 1.21  2005/09/15 18:11:16  glen
- depend on php api versions; rel 2

Revision 1.20  2005/09/13 12:46:32  qboosh
- sorted verify() flags

Revision 1.19  2005/09/13 12:46:00  qboosh
- -webinterface cleanups

Revision 1.18  2005/09/11 21:04:10  glen
- typo (this happens to be eaccelerator now)

Revision 1.17  2005/09/11 20:55:34  glen
- sync from php4-eaccelerator, fill files for -webinterface subpackage

Revision 1.16  2005/09/11 17:04:32  hunter
- eaccelerator.php in webinterface package
- configfile

Revision 1.15  2005/09/07 14:13:03  glen
- phpize already calls aclocal

Revision 1.14  2005/09/07 13:30:50  glen
- php{,4}-devel already Requires: auto{make,conf}

Revision 1.13  2005/07/06 08:43:13  baseciq
- reverted last silly patch

Revision 1.12  2005/07/06 08:30:54  baseciq
- added patch from http://sourceforge.net/mailarchive/forum.php?thread_id=7374002&forum_id=43358
  it causes that eaccellerator doesn't stops when ioncube loader is loaded,
  so you can still run encoded files, *BUT* only if you use dl('eaccelerator.so')
  instead of extension=eaccelerator.so in php.ini. I didn't test it much,
  so feel warned ;)

Revision 1.11  2005/06/13 00:35:39  eothane
- going up.. (0.9.3)

Revision 1.10  2005/05/22 02:47:46  averne
- rel 2

Revision 1.9  2005/03/02 19:30:26  qboosh
- reverted breakage

Revision 1.8  2005/03/02 14:59:36  eothane
- unified Source0
- updated URL:

Revision 1.7  2005/02/28 21:51:15  qboosh
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

Revision 1.6  2005/01/11 20:05:13  glen
- version 0.9.2a
- remove R: apache
- fix php deps

Revision 1.5  2004/12/26 18:49:19  qboosh
- pl desc

Revision 1.4  2004/12/26 16:32:06  ankry
- formatting

Revision 1.3  2004/12/26 16:13:22  adasi
- OMT new URL

Revision 1.2  2004/12/26 16:11:50  adasi
- new Source0 URL

Revision 1.1  2004/12/26 15:32:30  adasi
- new spec, based on php-mmcache
